:root {
    --doxa-header-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    --doxa-widget-border-color: rgba(0, 0, 0, 0.2);
    --doxa-widget-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    --pico-nav-link-spacing-horizontal: 2px !important;
    --pico-nav-link-spacing-vertical: 2px !important;
}
[data-theme="dark"] {
    --doxa-header-shadow: 0 2px 4px rgba(255, 255, 255, 0.1);
    --doxa-widget-border-color: rgba(255, 255, 255, 0.2);
    --doxa-widget-shadow: 0 2px 5px rgba(255, 255, 255, 0.1);
}

/*  wifi icon color toggle based on mode dark */
[data-theme="dark"] #theme-toggle i#theme-icon {
    color: var(--pico-color);
}

/*  wifi icon color toggle based on mode light */
[data-theme="light"] #theme-toggle i#theme-icon {
    color: var(--pico-color);
}

[data-theme="light"],
:root:not([data-theme="dark"]) {
    --pico-color: #2b2b2b;
    --pico-muted-color: #4a4a4a;
}

@media screen and (max-width: 800px) {
    .doxa-widget {
        max-width: 100%;
    }
}
.centered-hgroup {
    text-align: center;
}

.doxa-widget {
    width: 100%;
    max-width: 800px;
    border: 2px solid var(--doxa-widget-border-color);
    border-radius: 15px;
    position: relative;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: var(--doxa-widget-shadow);
}

.doxa-widget-title {
    position: absolute;
    top: -16px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    background-color: var(--pico-background-color);
    padding: 0 10px;
    font-weight: bold;
    white-space: nowrap;
}

.icon-badge {
    position: relative;
    display: flex;
    align-items: center;
}

.message-count {
    margin-left: 4px;
}


.icon-badge .bi {
    color: var(--pico-secondary);
    font-size: 1rem;
}


.icon-badge .badge {
    color: var(--pico-secondary);
}

#connection-status {

}
.doxa-pico-modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
}

.doxa-pico-modal {
    position: relative;
    padding-top: 2rem;
}
.doxa-pico-modal > .close {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    margin: 0;
    padding: 0;
}

.modal-is-open {
    overflow: hidden;
}

.modal-is-opening dialog,
.modal-is-closing dialog {
    animation-duration: 0.3s;
    animation-timing-function: ease-in-out;
}



.modal-is-opening dialog {
    animation-name: modal-open;
}


.modal-is-closing dialog {
    animation-name: modal-close;
}



@keyframes modal-open {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}



@keyframes modal-close {
    from {
        opacity: 1;
        transform: scale(1);
    }
    to {
        opacity: 0;
        transform: scale(0.8);
    }
}
